Subject: make-bash set close signal?
From: [email-masked]

14 Jan 1998 00:21:23 -0800
Message-ID: <H000053e04e95c93.cygnus.gnu-win32@MHS>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII; name="make-bash"
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hello,

I have a strange problem that I can't
identify precisely.

I use cygwin32 make and bash (beta 18
with Sergey's cygwin32.dll) under NT 4.0
SP3

My makefile looks like:

crash:
    cst6 basic.c

It works well the first time, and
crashes the second time (make, bash and
the console box desappear).

The crash is strange as a system window
appears with 'bash' as title which says:
'This windows application cannot respond
to the End Task request. etc.' It is
exactly the same windows that we get
when we try to close a dpmi box on which
runs a dos application without closing
it "cleanly".
I suspect a signal that comes to
bash...? Who may send it, who actually
receives it?
I did not find any hint in the trace
(STRACE=1)

The cst6 program is a gcc-like compiler
driver compiled with djgpp. It runs an
assembler written with Watcom 10.5 in
16/32 bit mode. Maybe the problem comes
from the "multi-mode" applications.

The problem does not appear under
windows 95.

Does anyone of you have idea about what
could happen?

Thank you

--Laurent

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".